ck_session_info Struct Reference

`#include <pkcs11.h>`

## Data Fields

ck_slot_id_t | slot_id
ck_state_t | state
ck_flags_t | flags
unsigned long | device_error

## Detailed Description

Definition at line 296 of file pkcs11.h.

## Field Documentation

## device_error

unsigned long ck_session_info::device_error

Definition at line 301 of file pkcs11.h.

## flags

ck_flags_t ck_session_info::flags

Definition at line 300 of file pkcs11.h.

## slot_id

ck_slot_id_t ck_session_info::slot_id

Definition at line 298 of file pkcs11.h.

## state

ck_state_t ck_session_info::state

Definition at line 299 of file pkcs11.h.

Referenced by hsm_check_context().

The documentation for this struct was generated from the following file:

- src/lib/cryptoki_compat/pkcs11.h